Subject: [BK PATCH] More USB changes for 2.5.25
From: Greg KH <[email-masked]>
To: [email-masked]
Cc: [email-masked]

I've added some more changesets to this repository.

Pull from:  http://linuxusb.bkbits.net/linus-2.5

 Documentation/input/xpad.txt   |   84 ++++++
 drivers/usb/host/uhci-hcd.c    |    4 
 drivers/usb/input/Config.help  |   45 +++
 drivers/usb/input/Config.in    |   13 -
 drivers/usb/input/Makefile     |   22 +
 drivers/usb/input/fixp-arith.h |   84 ++++++
 drivers/usb/input/hid-core.c   |   69 +++--
 drivers/usb/input/hid-debug.h  |    4 
 drivers/usb/input/hid-ff.c     |   90 +++++++
 drivers/usb/input/hid-input.c  |   59 ++++
 drivers/usb/input/hid-lg3dff.c |  444 ++++++++++++++++++++++++++++++++++++
 drivers/usb/input/hid-lgff.c   |  495 +++++++++++++++++++++++++++++++++++++++++
 drivers/usb/input/hid.h        |   26 ++
 drivers/usb/input/hiddev.c     |   57 ++--
 drivers/usb/input/pid.c        |  349 +++++++++++++++++++++++++++-
 drivers/usb/input/pid.h        |   62 +++++
 drivers/usb/input/powermate.c  |  360 +++++++++++++++++++++++++++++
 drivers/usb/input/xpad.c       |  330 +++++++++++++++++++++++++++
 18 files changed, 2516 insertions(+), 81 deletions(-)
------

[email-masked], 2002-07-12 11:29:19-07:00, [email-masked]
  USB: fix for oops at shutdown when uhci-hcd is compiled into the kernel.

 drivers/usb/host/uhci-hcd.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)
------

[email-masked], 2002-07-12 11:18:02-07:00, [email-masked]
  [PATCH] Make USB HID ForceFeedback experimental
  
  This one-liner does exactly $SUBJ.

 drivers/usb/input/Config.in |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)
------

[email-masked], 2002-07-12 11:17:44-07:00, [email-masked]
  [PATCH] New driver for the X-Box gamepads
  
  Attached is a BK patch to add a new driver for X-Box gamepads. It's
  fairly simple, and I think it can be put into the 2.5 tree.

 Documentation/input/xpad.txt  |   84 ++++++++++
 drivers/usb/input/Config.help |   14 +
 drivers/usb/input/Config.in   |    2 
 drivers/usb/input/Makefile    |    1 
 drivers/usb/input/xpad.c      |  330 ++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 430 insertions(+), 1 deletion(-)
------

[email-masked], 2002-07-12 11:05:29-07:00, [email-masked]
  USB HID: remove some compiler warnings

 drivers/usb/input/hid-debug.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)
------

[email-masked], 2002-07-12 10:49:19-07:00, [email-masked]
  [PATCH] Re: [bk patch] Big HID update
  
  > Hm, in building this, it looks like pid.c wants to be a separate module,
  > yet the Makefile tries to build it into the hid.o module.  The linker
  > complains horribly when this happens :)
  
  Ok, I found the case. Patch attached.

 drivers/usb/input/Makefile |    4 +---
 drivers/usb/input/pid.c    |   19 -------------------
 2 files changed, 1 insertion(+), 22 deletions(-)
------

[email-masked], 2002-07-12 10:49:03-07:00, [email-masked]
  [PATCH] Big HID update
  
  This cset is update of the HID drivers to the latest version, as a part
  of the Input merge. It finally includes ForceFeedback support by Johann
  Deneux, enabling ForceFeedback on new Logitech and Microsoft devices.

 drivers/usb/input/Config.help  |   31 ++
 drivers/usb/input/Config.in    |    9 
 drivers/usb/input/Makefile     |   17 +
 drivers/usb/input/fixp-arith.h |   84 ++++++
 drivers/usb/input/hid-core.c   |   69 +++--
 drivers/usb/input/hid-ff.c     |   90 +++++++
 drivers/usb/input/hid-input.c  |   59 ++++
 drivers/usb/input/hid-lg3dff.c |  444 ++++++++++++++++++++++++++++++++++++
 drivers/usb/input/hid-lgff.c   |  495 +++++++++++++++++++++++++++++++++++++++++
 drivers/usb/input/hid.h        |   26 ++
 drivers/usb/input/hiddev.c     |   57 ++--
 drivers/usb/input/pid.c        |  330 +++++++++++++++++++++++++++
 drivers/usb/input/pid.h        |   62 +++++
 drivers/usb/input/powermate.c  |  360 +++++++++++++++++++++++++++++
 14 files changed, 2080 insertions(+), 53 deletions(-)
------